Skip to main content
GET
/
outbound
/
agents
/
{agent_id}
/
outbound-config
Get Outbound Config
curl --request GET \
  --url https://api.example.com/outbound/agents/{agent_id}/outbound-config \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": "<string>",
  "phone_numbers": [
    {
      "phone_number": "<string>",
      "display_name": "<string>",
      "is_default": false,
      "enabled": true,
      "daily_limit": 5000,
      "metadata": {}
    }
  ],
  "schedules": [
    {}
  ],
  "default_schedule_id": "<string>",
  "total_calls_today": 123,
  "calls_remaining_today": 123,
  "can_call_now": true,
  "next_available_time": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Response

Successful Response

Outbound configuration response.

agent_id
string
required
phone_numbers
OutboundPhoneNumber · object[]
required
schedules
Schedules · object[]
required
default_schedule_id
string | null
required
total_calls_today
integer
required
calls_remaining_today
integer
required
can_call_now
boolean
required
next_available_time
string | null
required